/*
   New Perspectives on HTML and CSS
   Tutorial 5
   Case Problem 3

   Dome Table Style Sheet
   Author: Claudia Lindsay
   Date:   10/05/2015  

   Filename:         dtable.css
   Supporting files: bottom.jpg, bottomleft.jpg, bottomright.jpg,
                     left.jpg,right.jpg, tableback.jpg,
                     top.jpg, topleft.jpg, topright.jpg

*/

/*style for the domeSpecs table question #9*/
table.domeSpecs{
	font-size: 16px;
	margin-bottom: 20px;
	margin-left: 20px;
	float: right;
	border-collapse: collapse;
	background-image: url(tableback.png); /*question #10*/
	background-position: bottom right;
	background-repeat: no-repeat;
	background-size: cover;
}

/*question #11*/
table.domeSpecs td {
	padding-top: 0px;
	padding-right: 5px;
	padding-bottom: 0px;
	padding-left: 5px;
}

/*question #12 table caption*/
table.domeSpecs caption {
	font-size: 18px;
	letter-spacing: 5px;
	text-align: center;
	caption-side: top;
	margin-bottom: 10px;
}

/*question #13 table header */
table.domeSpecs thead {
	border-bottom: 2px solid gray;
	background-image: url(top.jpg);
}

/* question #14 height of the table row */
table.domeSpecs thead tr{
	height: 40px;
}

/* question #15 heading cells within the header */
table.domeSpecs thead th{
	padding-top: 0px;
	padding-right: 5px;
	padding-bottom: 0px;
	padding-left: 5px;
	letter-spacing: 2px;
}

/* question #16 */
table.domeSpecs thead tr th:first-of-type {
	background-image: url(topleft.jpg);
	background-position: top left;
	background-repeat: no-repeat;
}

table.domeSpecs thead tr th:last-of-type {
	background-image: url(topright.jpg);
	background-position: top right;
	background-repeat: no-repeat;
}

/* question #17 table footer */
table.domeSpecs tfoot {
	border-top: 2px solid gray;
	text-align: center;
	background-image: url(bottom.jpg);
	background-repeat: repeat-x;
	background-position: bottom;
}

/* question #18 height of the table rows */
table.domeSpecs tfoot tr {
	height: 40px;
}

/* question #19 */
table.domeSpecs tfoot tr td:first-of-type {
	background-image: url(bottomleft.jpg);
	background-position: bottom left;
	background-repeat: no-repeat;
}

table.domeSpecs tfoot tr td:last-of-type {
	background-image: url(bottomright.jpg);
	background-position: bottom right;
	background-repeat: no-repeat;
}

/* question #20 table rows within the table body*/
table.domeSpecs tbody tr {
	height: 50px;
	border-bottom: 1px dotted gray;
}

/* question #21 first and last cell in each row of the table body*/
table.domeSpecs tbody td:first-of-type {
	background-image: url(left.jpg);
	background-position: top left;
	background-repeat: repeat-y;
}

table.domeSpecs tbody td:last-of-type {
	background-image: url(right.jpg);
	background-position: top right;
	background-repeat: repeat-y;
	text-align: right;
}

/* question #22 page 360*/
table.domeSpecs tbody tr:nth-of-type(even) {
	background-color: rgba(152, 228, 215, 0.6);
}

table.domeSpecs tbody tr:nth-of-type(odd) {
	background-color: rgba(255, 255, 255, 0.6);
}

/* question #23 */
table.domeSpecs col.firstColumn {
	width: 22%;
}

table.domeSpecs col.middleColumns {
	width: 28%;
}

table.domeSpecs col.lastColumns {
	width: 22%;
}